/ DropDownList / Getting Started
Search results

Getting started with Angular DropDownList component

21 Dec 2022 / 5 minutes to read

This section briefly explains how to create a simple DropDownList component and configure its available functionalities in Angular.

Dependencies

The following list of dependencies are required to use the DropDownList component in your application.

Copied to clipboard
|-- @syncfusion/ej2-angular-dropdowns
    |-- @syncfusion/ej2-base
    |-- @syncfusion/ej2-data
    |-- @syncfusion/ej2-angular-base
    |-- @syncfusion/ej2-dropdowns
        |-- @syncfusion/ej2-lists
        |-- @syncfusion/ej2-inputs
        |-- @syncfusion/ej2-navigations
        |-- @syncfusion/ej2-popups
            |-- @syncfusion/ej2-buttons

Setup angular environment

Angular provides the easiest way to set angular CLI projects using Angular CLI tool.

To get started quickly with angular DropDownList component using angular CLI, you can check the video below.

Install the CLI application globally to your machine.

Copied to clipboard
npm install -g @angular/cli

Create a new application

Copied to clipboard
ng new syncfusion-angular-dropdownlist

By default, it install the CSS style base application. To setup with SCSS, pass —style=scss argument on create project.

Example code snippet.

Copied to clipboard
ng new syncfusion-angular-dropdownlist --style=scss

Navigate to the created project folder.

Copied to clipboard
cd syncfusion-angular-dropdownlist

Installing Syncfusion DropDownList package

Syncfusion packages are distributed in npm as @syncfusion scoped packages. You can get all the Angular Syncfusion package from npm link.

Currently, Syncfusion provides two types of package structures for Angular components,

  1. Ivy library distribution package format
  2. Angular compatibility compiler(Angular’s legacy compilation and rendering pipeline) package.

Ivy library distribution package

Syncfusion Angular packages(>=20.2.36) has been moved to the Ivy distribution to support the Angular Ivy rendering engine and the package are compatible with Angular version 12 and above. To download the package use the below command.

Add @syncfusion/ej2-angular-dropdowns package to the application.

Copied to clipboard
npm install @syncfusion/ej2-angular-dropdowns --save

Angular compatibility compiled package(ngcc)

For Angular version below 12, you can use the legacy (ngcc) package of the Syncfusion Angular components. To download the ngcc package use the below.

Add @syncfusion/ej2-angular-dropdowns@ngcc package to the application.

Copied to clipboard
npm install @syncfusion/ej2-angular-dropdowns@ngcc --save

To mention the ngcc package in the package.json file, add the suffix -ngcc with the package version as below.

Copied to clipboard
@syncfusion/ej2-angular-dropdowns:"20.2.38-ngcc"

Note: If the ngcc tag is not specified while installing the package, the Ivy Library Package will be installed and this package will throw a warning.

Registering DropDownList module

Import DropDownList module into Angular application(app.module.ts) from the package @syncfusion/ej2-angular-dropdowns.

Copied to clipboard
import { NgModule }      from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
// import the DropDownListModule for the DropDownList component
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns';
import { AppComponent }  from './app.component';

@NgModule({
  //declaration of ej2-angular-dropdowns module into NgModule
  imports:      [ BrowserModule, DropDownListModule ],
  declarations: [ AppComponent ],
  bootstrap:    [ AppComponent ]
})
export class AppModule { }

Adding CSS reference

The following CSS files are available in ../node_modules/@syncfusion package folder. This can be referenced in [src/styles.css] using following code.

Copied to clipboard
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import '../node_modules/@syncfusion/ej2-angular-dropdowns/styles/material.css';

Adding DropDownList component

Modify the template in [src/app/app.component.ts] file to render the DropDownList component. Add the Angular DropDownList by using <ejs-dropdownlist> selector in template section of the app.component.ts file.

Copied to clipboard
import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  // specifies the template string for the DropDownList component
  template: `<ejs-dropdownlist id='ddlelement'></ejs-dropdownlist>`
})
export class AppComponent  { }

Binding data source

After initialization, populate the DropDownList with data using the dataSource property. Here, an array of string values passed to DropDownList component.

Copied to clipboard
import { Component } from '@angular/core';

@Component({
selector: 'app-root',
// specifies the template string for the DropDownList component
template: `<ejs-dropdownlist id='ddlelement' [dataSource]='data'></ejs-dropdownlist>`
})
export class AppComponent {
constructor() {
}
// defined the array of data
public data: string[] = ['Snooker', 'Tennis', 'Cricket', 'Football', 'Rugby'];
}

Running the application

After completing the configuration required to render a basic DropDownList, run the following command to display the output in your default browser.

Copied to clipboard
ng serve

The following example illustrates the output in your browser.

Copied to clipboard
import { Component } from '@angular/core';

@Component({
selector: 'app-root',
// specifies the template string for the DropDownList component with dataSource
template: `<ejs-dropdownlist id='ddlelement' [dataSource]='data' placeholder = 'Select a game'></ejs-dropdownlist>`
})
export class AppComponent {
constructor() {
}
// defined the array of data
public data: string[] = ['Snooker', 'Tennis', 'Cricket', 'Football', 'Rugby'];
}
Copied to clipboard
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { AppComponent } from './app.component';
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,FormsModule, ReactiveFormsModule, DropDownListModule, ButtonModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
Copied to clipboard
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Configure the popup list

By default, the width of the popup list automatically adjusts according to the DropDownList input element’s width, and the height of the popup list has ‘300px’.

The height and width of the popup list can also be customized using the popupHeight  and popupWidth property respectively.

In the following sample, popup list’s width and height are configured.

Copied to clipboard
import { Component } from '@angular/core';

@Component({
selector: 'app-root',
// specifies the template url path
template: `<ejs-dropdownlist id='ddlelement' [dataSource]='data' placeholder='Select a game' popupHeight='200px' popupWidth='250px' ></ejs-dropdownlist>`
})
export class AppComponent {
constructor() {
}
// defined the array of data
public data: string[] = ['Badminton', 'Basketball', 'Cricket', 'Football', 'Golf', 'Hockey', 'Rugby', 'Snooker','Tennis'];
}
Copied to clipboard
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { AppComponent } from './app.component';
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,FormsModule, ReactiveFormsModule, DropDownListModule, ButtonModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
Copied to clipboard
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Two-way binding

In DropDownList, the value property supports two-way binding functionality. The following example demonstrates how to work the two-way binding functionality in DropDownList.

Copied to clipboard
import { Component } from '@angular/core';

@Component({
selector: 'app-root',
// specifies the template string for the DropDownList component and
// input element for checking the two-way binding support using value property
template: `
<ejs-dropdownlist id='ddlelement' [dataSource]='data' [(value)]='value' placeholder='Select a game'></ejs-dropdownlist>
<div style='margin-top: 50px'>
    <input type="text" [(ngModel)]="value" style="width:245px;height:25px" />
 </div>
`
})
export class AppComponent {
constructor() {
}
// defined the array of complex data
public data: string[] = [ 'Badminton', 'Basketball', 'Cricket', 'Football' ];
// set a value to pre-select
public value: string = 'Badminton';
}
Copied to clipboard
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { AppComponent } from './app.component';
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,FormsModule, ReactiveFormsModule, DropDownListModule, ButtonModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
Copied to clipboard
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

See Also

/ DropDownList / Getting Started
Search results

Getting started with Vue DropDownList component

20 Mar 2023 / 4 minutes to read

This section briefly explains how to create a simple DropDownList component and configure its available functionalities in Vue.

To get start quickly with DropDownList Component using Vue CLI, you can check on this video:

Prerequisites

System requirements for Syncfusion Vue UI components

Get Started with Vue CLI

You can use Vue CLI to setup your vue applications. To install Vue CLI use the following command.

Copied to clipboard
npm install -g @vue/cli

Start a new project using below Vue CLI command.

Copied to clipboard
vue init webpack-simple quickstart

cd quickstart
npm install

Adding Syncfusion packages

All the available Essential JS 2 packages are published in npmjs.com registry. You can choose the component that you want to install. For this application, we are going to use DropDownList component.

To install DropDownList component, use the following command

Copied to clipboard
npm install @syncfusion/ej2-vue-dropdowns --save

Registering Vue Component

For Registering Vue Component two ways are available. They are as follows.

  • Vue.use()
  • Vue.component()

Using Vue.use()

Import the Component Plugin from the EJ2 Vue Package and register the same using Vue.use() with Component Plugin as its argument.

Refer the code snippet given below.

Copied to clipboard
import { DropDownListPlugin } from '@syncfusion/ej2-vue-dropdowns';

Vue.use(DropDownListPlugin);

By Registering Component Plugin in Vue, all child directives are also globally registered.

Using Vue.component()

Import the Component and Component Plugin from EJ2 Vue Package, register the same using the Vue.component() with name of Component from ComponentPlugin and the EJ2 Vue Component as its arguments.

Refer the code snippet given below.

Copied to clipboard
import { DropDownListComponent, DropDownListPlugin } from '@syncfusion/ej2-vue-dropdowns';

Vue.component(DropDownListPlugin.name, DropDownListComponent);

By using Vue.component(), only the EJ2 Vue Component is registered. Child directives needs to be registered separately.

Creating Vue Sample

Add the EJ2 Vue DropDownList using <ejs-dropdownlist> to the <template> section of the App.vue file in src directory, the content attribute of the DropDownList component is provided as name in data option in the <script> section.

Copied to clipboard
<template>
<div class="control_wrapper">
    <ejs-dropdownlist id='dropdownlist'></ejs-dropdownlist>
</div>
</template>
<script>
import Vue from 'vue';
import { DropDownListPlugin } from "@syncfusion/ej2-vue-dropdowns";
Vue.use(DropDownListPlugin);

export default Vue.extend({
  data: function() {
return {

};
  }
});

</script>

Adding CSS Reference

Add ComboBox component’s styles as given below in <style> section of the App.vue file.

Copied to clipboard
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
</style>

Binding data source

After initialization, populate the DropDownList with data using the dataSource  property. Here, an array of string values is passed to the DropDownList component.

Copied to clipboard
<template>
<div class="control_wrapper">
    <ejs-dropdownlist id='dropdownlist' :dataSource='sportsData'></ejs-dropdownlist>
</div>
</template>
<script>
import Vue from 'vue';
import { DropDownListPlugin } from "@syncfusion/ej2-vue-dropdowns";
Vue.use(DropDownListPlugin);

export default Vue.extend({
  data: function() {
return {
  sportsData: ['Badminton', 'Cricket', 'Football', 'Golf', 'Tennis']
};
  }
});

</script>

Run the application

After completing the configuration required to render a basic DropDownList, run the following command to display the output in your default browser.

Copied to clipboard
npm run dev
Copied to clipboard
<template>
  <div id="app">
<div id='container' style="margin:50px auto 0; width:250px;">
    <br>
    <ejs-dropdownlist id='dropdownlist' :dataSource='sportsData' placeholder='Select a game'></ejs-dropdownlist>
</div>
  </div>
</template>
<script>
import Vue from 'vue';
import { DropDownListPlugin } from "@syncfusion/ej2-vue-dropdowns";

Vue.use(DropDownListPlugin);
export default {
  data (){
return {
  sportsData: ['Badminton', 'Cricket', 'Football', 'Golf', 'Tennis'];
}
  }
}

</script>
<style>
@import "../../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
</style>

Configure the Popup List

By default, the width of the popup list automatically adjusts according to the DropDownList input element’s width, and the height of the popup list has ‘300px’.

The height and width of the popup list can also be customized using the popupHeight  and popupWidth properties respectively

Copied to clipboard
<template>
  <div id="app">
<div id='container' style="margin:50px auto 0; width:250px;">
    <br>
    <ejs-dropdownlist id='dropdownlist' popupHeight="200px" popupWidth="250px" :dataSource='sportsData' placeholder='Select a game'></ejs-dropdownlist>
</div>
  </div>
</template>
<script>
import Vue from 'vue';
import { DropDownListPlugin } from "@syncfusion/ej2-vue-dropdowns";

Vue.use(DropDownListPlugin);
export default {
  data (){
return {
  sportsData: ['Badminton', 'Cricket', 'Football', 'Golf', 'Tennis'];
}
  }
}

</script>
<style>
@import "../../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/material.css";
@import "../../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";
</style>

You can refer to our Vue Dropdown List feature tour page for its groundbreaking feature representations. You can also explore our Vue Dropdown list example that shows how to render the Dropdown List in Vue.

See Also